Bug 629212 - bad candidate orders in ibus-table-chinese-quick
Summary: bad candidate orders in ibus-table-chinese-quick
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-table-quick
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-01 10:01 UTC by Allison Lee
Modified: 2011-09-17 22:03 UTC (History)
8 users (show)

Fixed In Version: ibus-table-chinese-1.3.4-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 03:24:35 UTC


Attachments (Terms of Use)

Description Allison Lee 2010-09-01 10:01:25 UTC
Description of problem:
When using Quick IM in ibus, two problems are found:

1) Positions of candidates are messed up or different from those in scim or
Windows.
2) Only 6 candidates pop up each time. But it should be 9 of them. 


Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1. 
2. 
3. 
  
Actual results:


Expected results:


Additional info:

Comment 1 Piotr Drąg 2010-09-14 17:33:25 UTC
Moving to the right product/component.

Comment 2 Akira TAGOH 2011-05-24 13:04:23 UTC
Does this issue still persist in f15 say?

Comment 3 Ding-Yi Chen 2011-05-31 02:13:09 UTC
Hi Allison,

In order to better solve the problem, would you mind telling me:
1) The work environment such as:
   a) Output of "rpm -qa "ibus*"
   b) What application you were using.

2) Actual key sequence you were typing.

3) What's the expect output and actual output.
   I am not a quick user myself, so I need your help by providing sufficient detail for me to reproduce, fix and test the bug.

Regards,

Ding-Yi Chen

Comment 4 Allison Lee 2011-05-31 06:57:38 UTC
Hi Chen,

Below are my environment and reproductions. Please let me know if there is anything I can help. Thanks a lot!!!
 
 
Environment
****************
ibus: ibus-table-chinese-quick-1.3.0.20110114-1.fc14.noarch

fedora: f14

application: firefox, gedit, openoffice, etc.



Reproductions
*******************
Example 1:
  actual key inputted: rg
  expected output: 雖 in candidate 9 on page 1
  actual output: 雖 in candidate 3 on page 2

Example 2:
  actual key inputted: oa
  expected output: 會 in candidate 8 on page 1
  actual output: 會 in candidate 2 on page 2

Example 3:
  actual key inputted: 們
  expected output: 們 in candidate 5 on page 2
  actual output: 們 in candidate 2 on page 3


Regards,

Allison Lee

Comment 5 Bug Zapper 2011-05-31 14:49:43 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Allison Lee 2011-06-01 09:51:13 UTC
Hi Chen,

There is one more problem I forgot to mention:


In f14, ibus Quick has changed the way how users browse candidates on next page(s). 

Before, one can just hit "space" to go to next pages, which is natural and fast.

But now, one has to hit "Page Down", which makes everything slow and error prone.


Thanks a lot!

Allison

Comment 7 Ding-Yi Chen 2011-07-13 04:34:00 UTC
Indeed, I can confirm the sequence is indeed difference between the quick in scim-table and ibus-table-chinese.

However, in ibus-table-chinese there are 3 variances of quick input methods:
quick3 (速成3代), quick5 (速成5代), and quick-classic (速成經典). Which one do you want me to change?

Comment 8 Allison Lee 2011-07-13 06:12:25 UTC
Sorry that I did not explain clearly.

The one I am using should be quick-classic (速成經典) 
It is shown as "速成古典版" in my ibus interface.

Comment 9 Fedora Update System 2011-08-30 23:37:17 UTC
ibus-table-chinese-1.3.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.4-1.fc16

Comment 10 Fedora Update System 2011-08-30 23:37:39 UTC
ibus-table-chinese-1.3.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.4-1.fc15

Comment 11 Fedora Update System 2011-08-30 23:38:02 UTC
ibus-table-chinese-1.3.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.4-1.fc14

Comment 12 Fedora Update System 2011-08-30 23:38:21 UTC
ibus-table-chinese-1.3.4-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.4-1.el6

Comment 13 Fedora Update System 2011-08-31 21:43:53 UTC
Package ibus-table-chinese-1.3.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-table-chinese-1.3.4-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/ibus-table-chinese-1.3.4-1.fc16
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-09-07 03:24:21 UTC
ibus-table-chinese-1.3.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-09-13 05:44:14 UTC
ibus-table-chinese-1.3.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-09-13 05:52:21 UTC
ibus-table-chinese-1.3.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-09-17 22:03:12 UTC
ibus-table-chinese-1.3.4-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.